textures/wetwired/lampcover
// standard white lamp ...
{
    qer_editorimage textures/wetwired/lampcover.tga
    surfaceparm nomarks
    q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wetwired/lampcover.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wetwired/lampcover.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/wetwired/wetwired_c2nite
{
	qer_editorimage textures/wetwired/sky01.tga

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_surfacelight 100
	q3map_sun .6 .6 .6 30 35 78

	skyparms env/c2nite - -
	
}

textures/wetwired/truck
{
	{
		map textures/wetwired/truck.tga
	}
	{
		map $lightmap
	                rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	                rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/wetwired/truck2
{
	{
		map textures/wetwired/truck2.tga
	}
	{
		map $lightmap
	                rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	                rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/wetwired/carbody
{
	{
		map textures/wetwired/carbody.jpg
	}
	{
		map $lightmap
	                rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	                rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/wetwired/fs_ford-xe_front
{
	{
		map textures/wetwired/fs_ford-xe_front.tga
	}
	{
		map $lightmap
	                rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	                rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/wetwired/fs_rain2
{
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/wetwired/fs_rain2.tga
                tcMod Scroll .5 4      //rain used to be going backwards (!!!)
                blendFunc GL_ONE GL_ONE
        }
}

textures/plants/leaf
//Good for lilypads
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
        {
        map textures/plants/leaf.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}

textures/plants/plant04
//A square-shaped fern
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
        
	{
        map textures/plants/plant04.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}

textures/plants/plant02
//A tall fern
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
        {
        map textures/plants/plant02.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}

textures/wetwired/ww-fence01
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/wetwired/ww-fence01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}